pcl::CopyIfFieldExists< PointInT, OutT > Struct Template Reference

A helper functor that can copy a specific value if the given field exists. More...

`#include <pcl/point_traits.h>`

## Public Types

typedef traits::POD< PointInT >::type | Pod

## Public Member Functions

| CopyIfFieldExists (const PointInT &pt, const std::string &field, bool &exists, OutT &value)
| Constructor. More...
| CopyIfFieldExists (const PointInT &pt, const std::string &field, OutT &value)
| Constructor. More...
template<typename Key >
void | operator() ()
| Operator. More...

## Detailed Description

### template<typename PointInT, typename OutT>
struct pcl::CopyIfFieldExists< PointInT, OutT >

A helper functor that can copy a specific value if the given field exists.

Note
  In order to actually copy the value an instance of this functor should be passed to a pcl::for_each_type loop. See the example below.

PointInT p;
bool exists;
float value;
typedef typename pcl::traits::fieldList<PointInT>::type FieldList;
pcl::for_each_type<FieldList> (pcl::CopyIfFieldExists<PointT, float> (p, "intensity", exists, value));

Definition at line 226 of file point_traits.h.

## Member Typedef Documentation

## Pod

template<typename PointInT , typename OutT >

typedef traits::POD<PointInT>::type pcl::CopyIfFieldExists< PointInT, OutT >::Pod

Definition at line 228 of file point_traits.h.

## Constructor & Destructor Documentation

## CopyIfFieldExists() [1/2]

template<typename PointInT , typename OutT >

pcl::CopyIfFieldExists< PointInT, OutT >::CopyIfFieldExists | ( | const PointInT & | pt,
|  | const std::string & | field,
|  | bool & | exists,
|  | OutT & | value
| ) |  |

inline

Constructor.

Parameters

  [in] | pt | the input point
  [in] | field | the name of the field
  [out] | exists | set to true if the field exists, false otherwise
  [out] | value | the copied field value

Definition at line 236 of file point_traits.h.

## CopyIfFieldExists() [2/2]

template<typename PointInT , typename OutT >

pcl::CopyIfFieldExists< PointInT, OutT >::CopyIfFieldExists | ( | const PointInT & | pt,
|  | const std::string & | field,
|  | OutT & | value
| ) |  |

inline

Constructor.

Parameters

  [in] | pt | the input point
  [in] | field | the name of the field
  [out] | value | the copied field value

Definition at line 250 of file point_traits.h.

## Member Function Documentation

## operator()()

template<typename PointInT , typename OutT >
template<typename Key >

void pcl::CopyIfFieldExists< PointInT, OutT >::operator() | ( |  | ) |

inline

Operator.

Data copy happens here.

Definition at line 259 of file point_traits.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/point_traits.h